View Issue Details

IDProjectCategoryView StatusLast Update
0004593CentOS-6centos-releasepublic2011-07-03 03:07
Reporterkbsingh@karan.org 
PrioritynormalSeverityblockReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionPre Release 
Target VersionFixed in Version6.0 
Summary0004593: CentOS Release needs building
DescriptionWe need to build a centos release package
TagsNo tags attached.

Activities

kbsingh@karan.org

kbsingh@karan.org

2010-12-03 16:08

administrator   ~0012133

Previously we have had a /etc/redhat-release file carry the distro id. However, it would be good to have /etc/centos-release carry the distro id from here, and have /etc/redhat-release be a symlink pointing to the /etc/centos-release file - ensuring the apps and third party tools which rely on /etc/redhat-release continue to work
Jeff_S

Jeff_S

2010-12-03 19:26

developer   ~0012135

Agreed, I would like to see this.
arrfab

arrfab

2010-12-06 17:09

administrator   ~0012173

confirmed
fpee

fpee

2011-01-09 04:43

reporter   ~0012306

There are 4 redhat-release files (depending what you choose for installation)

redhat-release-client
redhat-release-computenode
redhat-release-server
redhat-release-workstation

The only thing different in the spec files is the:

%define variant_titlecase Client
%define variant_lowercase client
%define variant_titlecase ComputeNode
%define variant_lowercase computenode
%define variant_titlecase Server
%define variant_lowercase server
%define variant_titlecase Workstation
%define variant_lowercase workstation

They all reference the single source file: redhat-release-6-12.tar.gz

I can't really make this file, as it needs a bunch of CentOS gpg keys. But I'll (try and) save someone some trouble.

Files (redhat-release-6-12.tar.gz)
autorun-template : "Autorun script for Red Hat Linux" (No clue what this is for)
Makefile : Makefile to build the redhat-release tarball. (can prolly delete)
RPM-GPG-KEY-redhat-legacy-beta : gpg key
RPM-GPG-KEY-redhat-legacy-rhx : gpg key
EULA : RH EULA (delete)
RPM-GPG-KEY-redhat-auxiliary : gpg key
RPM-GPG-KEY-redhat-legacy-former : gpg key
RPM-GPG-KEY-redhat-release-2 : gpg key
GPL : standard GPL v2
RPM-GPG-KEY-redhat-beta-2 : gpg key
RPM-GPG-KEY-redhat-legacy-release : gpg key
fpee

fpee

2011-01-09 04:44

reporter   ~0012307

the attached centos-release-server needs work still, starting at line 49 (where it combines some gpg keys).

2011-01-09 04:45

 

centos-release-server.spec (6,873 bytes)

Issue History

Date Modified Username Field Change
2010-11-11 23:30 kbsingh@karan.org New Issue
2010-12-03 16:08 kbsingh@karan.org Note Added: 0012133
2010-12-03 19:26 Jeff_S Note Added: 0012135
2010-12-06 17:09 arrfab Note Added: 0012173
2010-12-06 17:09 arrfab Status new => confirmed
2011-01-09 04:43 fpee Note Added: 0012306
2011-01-09 04:44 fpee Note Added: 0012307
2011-01-09 04:45 fpee File Added: centos-release-server.spec
2011-06-08 00:29 kbsingh@karan.org Status confirmed => closed
2011-06-08 00:29 kbsingh@karan.org Resolution open => fixed
2011-06-08 00:29 kbsingh@karan.org Fixed in Version => 6.0
2011-07-03 03:07 kbsingh@karan.org Status closed => resolved